MV(1) | General Commands Manual | MV(1)

# NAME

`mv` — move files

# SYNOPSIS

`mv` | [`-fhiv`] source target

`mv` | [`-fiv`] source ... directory

# DESCRIPTION

In its first form, the `mv` utility renames the file named by the source operand to the destination path named by the target operand. This form is assumed when the last operand does not name an already existing directory or when the `-h` flag is specified.

In its second form, `mv` moves each file named by a source operand to a destination file in the existing directory named by the directory operand. The destination path for each operand is the pathname produced by the concatenation of the last operand, a slash, and the final pathname component of the named file.

The following options are available:

`-f`
  Do not prompt for confirmation before overwriting the destination path.
`-h`
  Try to rename the source to the target irrespective of whether the target may resolve to a directory. This option allows atomically replacing a symbolic link to a directory.
`-i`
  Causes `mv` to write a prompt to standard error before moving a file that would overwrite an existing file. If the response from the standard input begins with the character ``y'', the move is attempted.
`-v`
  Cause `mv` to be verbose, showing files as they are processed.

The last of any `-f` or `-i` options is the one which affects `mv`'s behavior.

It is an error for any of the source operands to specify a nonexistent file or directory.

It is an error for the source operand to specify a directory if the target exists and is not a directory.

If the destination path does not have a mode which permits writing, `mv` prompts the user for confirmation as specified for the `-i` option.

Should the rename(2) call fail because source and target are on different file systems, `mv` will remove the destination file, copy the source file to the destination, and then remove the source. The effect is roughly equivalent to:

    rm -f destination_path && \
    cp -PRp source_file destination_path && \
    rm -rf source_file

# EXIT STATUS

The `mv` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

cp(1), rename(2), symlink(7)

# STANDARDS

The `mv` utility is expected to be IEEE Std 1003.2 (“POSIX.2”) compatible.

The `-h` and `-v` options are extensions to IEEE Std 1003.2 (“POSIX.2”).

# HISTORY

An `mv` utility appeared in Version 1 AT&T UNIX.

June 24, 2020 | NetBSD 11.0